"SSL handshake failed: SSL disabled due to library version mismatch" Error Occurs When Performing svn Update

Asked 2 months ago, Updated 2 months ago, 3 views

When I tried to update the svn, the following error occurred:
Could you tell me how to solve this problem?

$svn up
Updating '.':
svn:E175002:Unable to connect to a repository at URL'https://example.com/'
svn:E175002:OPTIONS (URL:'https~)'):SSL handshake failed:SSL>disabled due to library version mismatch (https~)

environment

  • subversion 1.7.7
  • opensl 1.0.2
  • Mac OS X 10.8.5

ssl svn openssl

2022-09-30 11:02

1 Answers

Based on the information you gave me in the comments section, I was able to solve the problem by typing the following command from the terminal.

Reference Page:
SVN:SSL disabled due to library version mismatch

$sudo port upgrade neon

This post was posted as a community wiki based on @kitcon's comments.


2022-09-30 11:02

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.